<?php
//ini_set('display_errors',1);
session_start();
require_once ("../../config/Cado.php");
require_once ("../notacredito/cNotacredito.php");
$oNotacredito = new cNotacredito();
$fec = date('Y-m-d');
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");
?>
<style>
	div#div_tabla { margin: 0 0; }
	div#div_tabla table { margin: 0 0; border-collapse: collapse; width: 100%; }
	div#div_tabla table td, div#div_tabla table th { border: 1px solid #eee; padding: 2px 3px; font-size:15px; }
	div#div_tabla table th { height:18px }
	div#div_tabla table td { height:17px }
</style>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:5px;">
		<!--
		<a  class="btn btn-sm" style="background-color:#00897b;color:#fff;text-align:left" 
		href="../../files/compra/compraconsolidadasfecha_impcpe_doc.php?fec1=<?php echo $_POST['fec1'] ?>&fec2=<?php echo $_POST['fec2']?>
		&agrufec=<?php echo $_POST['agrufec']?>&agruemp=<?php echo $_POST['agruemp']?>&agrucli=<?php echo $_POST['agrucli']?>" 
		target="_blank"><i class="fa fa-file-pdf-o"></i>  DESCARGAR E IMPRIMIR PDF</a>
		-->
		<button class="btn btn-success " id="btn_excel"> <i class="fas fa-file-excel"></i> DESCARGAR EXCEL </button>
		
<?php 
// echo $_POST['agrufec'].'-'.$_POST['agruemp'].'-'.$_POST['agrucli'];
$dtsa = $oNotacredito->filtroreporte_agru('','',fecha_mysql($_POST['fec1']),fecha_mysql($_POST['fec2']),$_POST['agrufec'],$_POST['agruemp'],$_POST['agrucli']);
$num_rows= mysqli_num_rows($dtsa);
 
 //ECHO $num_rows.'-';
 
?>
        	<div class="table-responsive" id="div_tabla">
			 
			<div class="col-lg-12 col-xs-12" style="height:10px;"></div>
			 
          <table id="tabla_resumen_todos" class="table table-bordered table-striped">
           <thead>
							
			<tr class="header_row" style="font-weight:bold;font-size:16px;">
				<th>EMISION</th>
				<th>EMPRESA</th>
				<th>CLIENTE</th>
				<th>RUC</th>
				<th>TIPO</th>
				<th>NUMERO NOTA CREDITO</th>
				<th>DOCUMENTO MODIFICA</th>
				<th>MONEDA</th>			
				<th>IMPORTE</th>					
			</tr>
		</thead>
         <tbody>	
		<?php
		if($num_rows>0){
		
		
		
		while($dta = mysqli_fetch_array($dtsa))
		{ 					//echo $_POST['ordpro'];
		$dts1 = $oNotacredito->filtroreporte(fecha_mysql($dta['fecha']),$_POST['agrufec'],$_POST['agruemp'],$_POST['agrucli'],
		$dta['emp_id'],$dta['cli_id'],fecha_mysql($_POST['fec1']),fecha_mysql($_POST['fec2']));
		$num_rowsf= mysqli_num_rows($dts1);
		while($dt1 = mysqli_fetch_array($dts1))
		{
		
			$mone_id = $dt1['tb_moneda_id'];	
			
			if($mone_id==1){
					$lbl_mone = 'S/ ';
			}else if($mone_id==2){
					$lbl_mone = 'US$ ';
			}
									
			
		?>
			<tr class="even" data-dat = "<?php echo $dt1['tb_cliente_id'].'- E'.$dt1['tb_empresa_id']; ?>"  data-comid ="<?php echo $dt1['tb_venta_id']?>" >
						
				<td nowrap align="left"><?php echo mostrarFecha($dt1['tb_notacredito_fec']) ?></td>	
				<td nowrap align="left"><?php echo $dt1['tb_empresa_nomcom']?></td>
				<td align="left" nowrap ><?php echo $dt1['tb_cliente_nom']?></td>
				<td align="left" nowrap ><?php echo $dt1['tb_cliente_doc']?></td>
				<td align="left"><?php echo $dt1['tb_documento_abr']?></td>
				<td align="left" nowrap ><?php echo $dt1['tb_notacredito_numdoc']?></td>			
				<td align="left" nowrap ><strong><?php echo $dt1['tb_venta_numdoc']?></strong></td>			
				<td align="left"><?php echo $lbl_mone ?></td>							
				<td align="right" nowrap ><?php echo formato_money($dt1['tb_notacredito_tot']) ; ?></td>							
											           
			</tr>
		<?php 	
		
		} 
			
		if($_POST['agrufec']=='1'){
			$lbl = 'NOTAS DE CREDITO POR FECHA : ';
			$fe = mostrarFecha($dta['fecha']);
		}else if($_POST['agruemp']=='1'){
			$lbl = 'NOTAS DE CREDITO POR EMPRESA : ';
			$fe = $dta['emp'];
		}else if($_POST['agrucli']=='1'){
			$lbl = 'NOTAS DE CREDITO POR CLIENTE : ';
			$fe = $dta['cli'];
		}
		
			
		
		
		?>
		<tr class="" style="background-color:#FF5252;" >
		<td colspan="6" align="right" ><?php echo $lbl; ?> <strong><?php echo $fe ?></strong> </td>
		<td colspan="3" align="right" > <strong><?php echo 'S/ '.formato_money($dta['soles'])?></strong> <span> | </span> <strong><?php echo 'US$ '.formato_money($dta['dolares'])?></strong> </td>
		</tr>
		<?php 
		}
		$con = '';
		mysqli_free_result($dts1); 
		
		}else{
			?>
			
			<tr>
			<td colspan="8" align="center" >DATOS NO ENCONTRADOS.</td>
			</tr>
			
			<?php 			
		}
		
	?>
		</tbody>
      </table>
	  	
	    </div>
    
	
	
	
	</div>
  </div>
</div>
</div>
</section>
<script type="text/javascript">
function abrirEnPestana(url) {
		var a = document.createElement("a");
		a.target = "_blank";
		a.href = url;
		a.click();
}
$(function(){
$("#btn_excel").click(function(){
		fec1 = "<?php echo fecha_mysql($_POST['fec1']) ?>";
		fec2 = "<?php echo fecha_mysql($_POST['fec2']) ?>";
		agrufec = "<?php echo $_POST['agrufec'] ?>";
		agruemp = "<?php echo $_POST['agruemp'] ?>";
		agrucli = "<?php echo $_POST['agrucli'] ?>";
	abrirEnPestana('../../files/notacredito/notacredito_consolidadofecha_cst_excel.php?fec1='+fec1+'&fec2='+fec2+'&agrufec='+agrufec+'&agruemp='+agruemp+'&agrucli='+agrucli);
});
	
	});
</script>  